CUDPPOperator
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcudpp
Class CUDPPOperator

    java.lang.Object
      jcuda.jcudpp.CUDPPOperator

    public class CUDPPOperator

extends java.lang.Object

Operators supported by CUDPP algorithms (currently scan and segmented scan).
These are all binary associative operators.

See Also:
  `CUDPPConfiguration`, `JCudpp.cudppPlan(jcuda.jcudpp.CUDPPHandle, jcuda.jcudpp.CUDPPConfiguration, long, long, long)`

Field Summary
`static int` | `CUDPP_ADD` Addition of two operands
`static int` | `CUDPP_MAX` Maximum of two operands
`static int` | `CUDPP_MIN` Minimum of two operands
`static int` | `CUDPP_MULTIPLY` Multiplication of two operands

Method Summary
`static java.lang.String` | `stringFor(int n)` Returns the String identifying the given CUDPPOperator

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUDPP_ADD

    public static final int CUDPP_ADD

  Addition of two operands

  See Also:
    Constant Field Values

### CUDPP_MULTIPLY

    public static final int CUDPP_MULTIPLY

  Multiplication of two operands

  See Also:
    Constant Field Values

### CUDPP_MIN

    public static final int CUDPP_MIN

  Minimum of two operands

  See Also:
    Constant Field Values

### CUDPP_MAX

    public static final int CUDPP_MAX

  Maximum of two operands

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int n)

  Returns the String identifying the given CUDPPOperator

  Parameters:
    `n` - The CUDPPOperator
  Returns:
    The String identifying the given CUDPPOperator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD